Subject: IconGrid trouble

From: Grzegorz Nieweglowski <[email-masked]>
Date: Wed, 23 Jul 2003 14:23:41 +0200

FVWM, CVS version, two weeks old. The IconGrid option doesn't seem to
work properly with arguments smaller than defaults (IconGrid 3 3).

Style * IconFont xft:arial-10, \
IconTitleRelief 1, \
IconBackgroundRelief 1, \
IconSize 52 48, \
IconBackgroundPadding 6, \
IconBackgroundColorset 2, \
IconBox 310x300+0+0, \
IconGrid 1 1

should (according to fvwm man page) give a nicely packed box of icons, with
no gaps (1 pixel long "steps" when searching for free room).

In reality "IconGrid 1 1" gives me 3x3 spacing. "IconGrid 2 2" gives
4x4.  Starting from "IconGrid 3 3" (fvwm default) things start to work
as expected. Is it my fault, or is something wrong with IconGrid?

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Thu, 24 Jul 2003 10:06:27 +0200

> no gaps (1 pixel long "steps" when searching for free room).

Only in theory.  Note that the IconGrid style says nothing about
the distance between the icons, only about the allowed positions.
What you see is a hard coded minimum distance between two icons
(3 pixels).  This should be tunable too, but it isn't yet.  You
can only modify it by changing the number MIN_ICON_BOX_DIST in the
file libs/defaults.h.

> as expected. Is it my fault, or is something wrong with IconGrid?

Bye

Dominik ^_^  ^_^

---

From: Grzegorz Nieweglowski <[email-masked]>
Date: Thu, 24 Jul 2003 11:05:18 +0200

Dominik Vogt wrote:
>> IconGrid 1 1
>> 
>> should (according to fvwm man page) give a nicely packed box of
>> icons, with no gaps (1 pixel long "steps" when searching for free
>> room).
> 

Ah, yes.

> can only modify it by changing the number MIN_ICON_BOX_DIST in the

Yup. Changed it to 0 and it now looks/behaves properly. Thanks.